# Generated from tss-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tss

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: A Ruby gem implementing Threshold Secret Sharing. This code can be used in your Ruby applications or as a simple command line (CLI) executable for splitting and reconstructing secrets
License: MIT
URL: https://github.com/grempe/tss-rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.2
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(coveralls) >= 0.8
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(coco) >= 0.14
# BuildRequires: rubygem(coco) < 1
# BuildRequires: rubygem(wwtd) >= 1.3
# BuildRequires: rubygem(wwtd) < 2
# BuildRequires: rubygem(yard-contracts) >= 0.1
# BuildRequires: rubygem(yard-contracts) < 1
BuildArch: noarch

%description
Threshold Secret Sharing (TSS) provides a way to generate N shares
from a value, so that any M of those shares can be used to
reconstruct the original value, but any M-1 shares provide no
information about that value. This method can provide shared access
control on key material and other secrets that must be strongly
protected.
This gem implements a Threshold Secret Sharing method based on
polynomial interpolation in GF(256) and a format for the storage and
transmission of shares.
This implementation follows the specification in the document:
http://tools.ietf.org/html/draft-mcgrew-tss-03.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/tss
%{gem_instdir}/.coco.yml
%{gem_instdir}/.codeclimate.yml
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.hound.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/RELEASE.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/tss.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.5.0-1
- Initial package
